#!/bin/bash
jarName="signal-control-service-1.0.0.jar"
NR=$(ps -ef | grep "${jarName}" | grep -v grep | wc -l)

if [ ${NR} != 0 ]
then
  ps -ef | grep -v grep | grep "${jarName}" |
  while read u p o
  do
    echo "结束Java程序进程..."
    kill -9 $p
  done
fi

sleep 2

echo "重启Java程序进程..."

nohup java -Xms2048m -Xmx2048m -jar -XX:+HeapDumpOnOutOfMemoryError -XX:HeapDumpPath=/home/javaApp/heapdump.hprof -agentlib:jdwp=transport=dt_socket,server=y,suspend=n,address=15115  -Djava.rmi.server.hostname=10.100.1.87 -Dcom.sun.management.jmxremote -Dcom.sun.management.jmxremote.port=12345 -Dcom.sun.management.jmxremote.ssl=false -Dcom.sun.management.jmxremote.authenticate=false signal-control-service-1.0.0.jar --spring.profiles.active=dev >/dev/null 2>&1 &
